summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Christopher Walker <kris240376@gmail.com>2013-04-26 23:16:14 (GMT)
committer Niels Horn <niels.horn@slackbuilds.org>2013-04-28 15:30:52 (GMT)
commite36adf2e6227f3be9ce096d3fd52d9acf633b894 (patch)
tree6818f52f7648d784161e53948c33365e4952b8ce
parent70aa854f7e99bf4d526e48aa7b4c216466e4fbff (diff)
downloadslackbuilds-e36adf2e6227f3be9ce096d3fd52d9acf633b894.tar.gz
perl/perl-Net-XMPP: Added (XMPP Perl Library)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--perl/perl-Net-XMPP/README4
-rw-r--r--perl/perl-Net-XMPP/perl-Net-XMPP.SlackBuild86
-rw-r--r--perl/perl-Net-XMPP/perl-Net-XMPP.info10
-rw-r--r--perl/perl-Net-XMPP/slack-desc19
4 files changed, 119 insertions, 0 deletions
diff --git a/perl/perl-Net-XMPP/README b/perl/perl-Net-XMPP/README
new file mode 100644
index 0000000..0dc8fa1
--- /dev/null
+++ b/perl/perl-Net-XMPP/README
@@ -0,0 +1,4 @@
+Net::XMPP - XMPP Perl Library
+
+Net::XMPP provides a Perl user with access to the Extensible Messaging and
+Presence Protocol (XMPP).
diff --git a/perl/perl-Net-XMPP/perl-Net-XMPP.SlackBuild b/perl/perl-Net-XMPP/perl-Net-XMPP.SlackBuild
new file mode 100644
index 0000000..bd852fb
--- /dev/null
+++ b/perl/perl-Net-XMPP/perl-Net-XMPP.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# Slackware build script for perl-Net-XMPP
+
+# Copyright 2013 Christopher Walker Copperas Cove, TX
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=perl-Net-XMPP
+VERSION=${VERSION:-1.02}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf Net-XMPP-$VERSION
+tar xvf $CWD/Net-XMPP-$VERSION.tar.gz
+cd Net-XMPP-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make test
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name "perllocal.pod" -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CHANGES LICENSE.LGPL README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/perl-Net-XMPP/perl-Net-XMPP.info b/perl/perl-Net-XMPP/perl-Net-XMPP.info
new file mode 100644
index 0000000..9e3587a
--- /dev/null
+++ b/perl/perl-Net-XMPP/perl-Net-XMPP.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-Net-XMPP"
+VERSION="1.02"
+HOMEPAGE="http://search.cpan.org/dist/Net-XMPP-1.02/lib/Net/XMPP.pm"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/H/HA/HACKER/Net-XMPP-1.02.tar.gz"
+MD5SUM="67cf40d3bbbe6740c21c856c79692fde"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="perl-XML-Stream"
+MAINTAINER="Christopher Walker"
+EMAIL="kris240376@gmail.com"
diff --git a/perl/perl-Net-XMPP/slack-desc b/perl/perl-Net-XMPP/slack-desc
new file mode 100644
index 0000000..da7a023
--- /dev/null
+++ b/perl/perl-Net-XMPP/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-Net-XMPP: perl-Net-XMPP (XMPP Perl Library)
+perl-Net-XMPP:
+perl-Net-XMPP: Net::XMPP provides a Perl user with access to the Extensible
+perl-Net-XMPP: Messaging and Presence Protocol (XMPP).
+perl-Net-XMPP:
+perl-Net-XMPP: Homepage: http://search.cpan.org/dist/Net-XMPP-1.02/lib/Net/XMPP.pm
+perl-Net-XMPP:
+perl-Net-XMPP:
+perl-Net-XMPP:
+perl-Net-XMPP:
+perl-Net-XMPP: